# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.PlayerData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.PlayerData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.PlayerData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# PlayerData 

###
Companion class PlayerData

#### object PlayerData extends Marshallable[PlayerData] with Serializable

Source
  PlayerData.scala

Linear Supertypes
Serializable, Marshallable[PlayerData], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayerData
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ByteAlignmentPadding(length: Long): Int

   Find the number of trailing bits that need to be added to make the current value perfectly divisible by eight.

   Find the number of trailing bits that need to be added to make the current value perfectly divisible by eight.

   length

     the current length of a stream

   returns

     the number of bits needed to pad it

5.  def PaddingOffset(pos: Option[PlacementData]): Int

   Determine the padding offset for a subsequent field given the existence of `PlacementData`.

   Determine the padding offset for a subsequent field given the existence of `PlacementData`. With the `PlacementData` objects, a question of the optional velocity field also exists.
   With just `PlacementData`, the bit distance to the name field is 164 (padding: 4 bits). With `PlacementData` with velocity, the bit distance to the name field is 206 (padding: 2 bits). Without `PlacementData`, the distance to the name field is either 107 or 115 (padding: 5 bits). The padding will always be a number 0-7.

   pos

     the optional `PlacementData` object that creates the shift in bits

   returns

     the pad length in bits

   See also

     `PlacementData`

6.  def apply(pos: PlacementData, basic_appearance: (Int) => CharacterAppearanceData, character_data: (Boolean, Boolean) => CharacterData, drawn_slot: Type): PlayerData

   Overloaded constructor that includes the coordinate information but ignores the inventory.

   Overloaded constructor that includes the coordinate information but ignores the inventory. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are standing apart from other containers.

   pos

     the optional position of the character in the world environment

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   drawn_slot

     the holster that is initially drawn

   returns

     a `PlayerData` object

7.  def apply(pos: PlacementData, basic_appearance: (Int) => CharacterAppearanceData, character_data: (Boolean, Boolean) => CharacterData, inventory: InventoryData, drawn_slot: Type): PlayerData

   Overloaded constructor that includes the coordinate information and the inventory.

   Overloaded constructor that includes the coordinate information and the inventory. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are standing apart from other containers.

   pos

     the optional position of the character in the world environment

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   inventory

     the player's inventory

   drawn_slot

     the holster that is initially drawn

   returns

     a `PlayerData` object

8.  def apply(basic_appearance: (Int) => CharacterAppearanceData, character_data: (Boolean, Boolean) => CharacterData, drawn_slot: Type): PlayerData

   Overloaded constructor that ignores the coordinate information and the inventory.

   Overloaded constructor that ignores the coordinate information and the inventory. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are mounted.

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   drawn_slot

     the holster that is initially drawn; technically, always `DrawnSlot.None`, but the field is preserved to maintain similarity

   returns

     a `PlayerData` object

9.  def apply(basic_appearance: (Int) => CharacterAppearanceData, character_data: (Boolean, Boolean) => CharacterData, inventory: InventoryData, drawn_slot: Type): PlayerData

   Overloaded constructor that ignores the coordinate information but includes the inventory.

   Overloaded constructor that ignores the coordinate information but includes the inventory. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are mounted.

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   inventory

     the player's inventory

   drawn_slot

     the holster that is initially drawn; technically, always `DrawnSlot.None`, but the field is preserved to maintain similarity

   returns

     a `PlayerData` object

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def codec(offset: Int): Codec[PlayerData]

    This `Codec` is exclusively for translating a `Player` object while that `Player` object is encountered in the process of translating its mounting object.

    This `Codec` is exclusively for translating a `Player` object while that `Player` object is encountered in the process of translating its mounting object. In other words, the player is "seated" or "mounted."

    offset

      the padding for the player's name field

    returns

      a `Codec` that translates a `PlayerData` object

    See also

      `CharacterAppearanceData.codec`

13.  def codec(position_defined: Boolean): Codec[PlayerData]

    This `Codec` is generic.

    This `Codec` is generic. However, it should not be used to translate a `Player` object in the middle of translating that `Player`'s mounting object. The offset value is calculated internally.

    position_defined

      this entry has `PlacementData` that defines position, orientation, and, optionally, motion

    returns

      a `Codec` that translates a `PlayerData` object

14.  implicit val codec: Codec[PlayerData]
    Definition Classes
      PlayerData → Marshallable
15.  def decode(a: BitVector): Attempt[DecodeResult[PlayerData]]
    Definition Classes
      Marshallable
16.  def encode(a: PlayerData): Attempt[BitVector]
    Definition Classes
      Marshallable
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[PlayerData]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped